// Luca Burger
public class App {
    public static void main(String[] args) throws Exception {
        DoppelteBuchhaltung buchhaltung = new DoppelteBuchhaltung();
        initBuchaltung(buchhaltung);
        buchhaltung.alleKontenAnzeigen();

        // Buchungen
        buchhaltung.buchungDurchfuehren("1001", "2001", 5000, "Einzahlung in Kasse");
        buchhaltung.buchungDurchfuehren("1002", "2001", -3000, "Forderungen beglichen");
        buchhaltung.buchungDurchfuehren("1001", "2002", 4000, "Umsätze generieren");

        // Kontenanzeigen
        buchhaltung.bewegungenAufKontoAnzeigen("1001");
        buchhaltung.bewegungenAufKontoAnzeigen("1002");
        buchhaltung.bewegungenAufKontoAnzeigen("2001");
        buchhaltung.bewegungenAufKontoAnzeigen("2002");

    }

    private static void initBuchaltung(DoppelteBuchhaltung buchhaltung) {
        buchhaltung.sollKontoErstellen("1001", "Kasse", 2.0);
        buchhaltung.sollKontoErstellen("1002", "Forderungen", 0.0);

        buchhaltung.habenKontoErstellen("2001", "Verbindlichkeiten");
        buchhaltung.habenKontoErstellen("2002", "Umsatzerlöse");

    }
}
